/**
 * @flow
 */
import React from 'react';
import SwipeView from 'react-native-swiper';


type Props = {
  height: number,
  width: number
}

function SwiperBanner(props:Props) {
  console.log('SwiperBanner',props)
  return (
    <SwipeView
      showsButtons={false}
      autoplay
      height={props.height}
      width={props.width}
      autoplayTimeout={5}
      paginationStyle={{ bottom: 0 }}
    >
      {
        props.children
      }
    </SwipeView>
  );
}

export default SwiperBanner;
